## tftp-hpa 0.43

=== Makefile ===
# You can do "make SUB=blah" to make only a few, or edit here, or both
# You can also run make directly in the subdirs you want.

SUB =   lib common tftp tftpd

%.build: MCONFIG aconfig.h version.h
	$(MAKE) -C $(patsubst %.build, %, $@)

%.install: MCONFIG aconfig.h version.h
	$(MAKE) -C $(patsubst %.install, %, $@) install

%.clean:
	$(MAKE) -C $(patsubst %.clean, %, $@) clean

%.distclean:
	$(MAKE) -C $(patsubst %.distclean, %, $@) distclean

all:      MCONFIG $(patsubst %, %.build, $(SUB))

tftp.build: lib.build
tftpd.build: lib.build

install:  MCONFIG $(patsubst %, %.install, $(SUB))

clean:	localclean $(patsubst %, %.clean, $(SUB))

localclean:
	rm -f version.h

distclean: localdistclean $(patsubst %, %.distclean, $(SUB))

localdistclean: localclean
	rm -f MCONFIG config.status config.log aconfig.h *~ \#*
	rm -rf *.cache
	find . -type f \( -name \*.orig -o -name \*.rej \) | xargs rm -f

spotless: distclean
	rm -f configure aconfig.h.in tftp.spec

autoconf: configure aconfig.h.in

config:	MCONFIG aconfig.h

release:
	$(MAKE) autoconf
	$(MAKE) tftp.spec
	$(MAKE) distclean

MCONFIG: configure MCONFIG.in aconfig.h.in
	if test -x config.status; then \
		./config.status --recheck && ./config.status ; \
	else \
		./configure ; \
	fi

aconfig.h: MCONFIG
	: Generated by side effect

# Adding "configure" to the dependencies serializes this with running
# autoconf, because there are apparently race conditions between
# autoconf and autoheader.
aconfig.h.in: configure.in configure aclocal.m4
	rm -f aconfig.h.in aconfig.h
	autoheader

configure: configure.in aclocal.m4
	rm -rf MCONFIG configure config.log aconfig.h *.cache
	autoconf

version.h: version
	echo \#define VERSION \"tftp-hpa `cat version`\" > version.h

tftp.spec: tftp.spec.in version
	sed -e "s/@@VERSION@@/`cat version`/g" < $< > $@ || rm -f $@

## tftp-hpa 5.0

=== debian/changelog ===
tftp-hpa (5.0-21ubuntu2) natty; urgency=low

  * Clean up debian/patches and re-add dropped patch,
    04-use-memcpy-for-header.patch (LP: #727356)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 01 Mar 2011 14:24:12 -0500

tftp-hpa (5.0-21ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Set /var/lib/tftpboot by default instead of /srv/tftp.
    - Decrease priority of tftp path from high to low.
    - debian/rules, debian/tftpd-hpa.upstart: Convert to upstart (LP: #522509)
    - debian/patches/04-use-memcpy-for-header.patch: fix FORTIFY-detected
      potential memory corruption (LP: #691345).

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 07 Feb 2011 06:07:31 +0000

tftp-hpa (5.0-21) unstable; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Makeing packaging distribution neutral.
  * Removing lenny legacy stuff.
  * Adding autoconf to build-depends.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 06 Feb 2011 11:05:46 +0100

tftp-hpa (5.0-20) experimental; urgency=low

  * Update manpage to match source code regarding mapfile parameter,
    thanks to Jim Paris <jim@jtan.com> (Closes: #606267).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 24 Dec 2010 17:42:08 +0100

tftp-hpa (5.0-19) experimental; urgency=low

  * Improving user checks with getent in postinst scripts.
  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Simplyfing autotools handing in rules.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Dec 2010 21:02:26 +0100

tftp-hpa (5.0-18ubuntu2) natty; urgency=low

  * debian/patches/04-use-memcpy-for-header.patch: fix FORTIFY-detected
    potential memory corruption (LP: #691345).

 -- Kees Cook <kees@ubuntu.com>  Thu, 16 Dec 2010 17:44:44 -0800

tftp-hpa (5.0-18ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Set /var/lib/tftpboot by default instead of /srv/tftp.
    - Decrease priority of tftp path from high to low.
    - debian/rules, debian/tftpd-hpa.upstart: Convert to upstart (LP: #522509)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Dec 2010 08:17:22 +0000

tftp-hpa (5.0-18) unstable; urgency=medium

  * Making greps for tftp username in postinst more robust.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 06 Dec 2010 23:40:45 +0100

tftp-hpa (5.0-17) experimental; urgency=low

  * Updating standards version to 3.9.1.
  * Adding Danish debconf translations from Joe Hansen
    <joedalton2@yahoo.dk> (Closes: #598042).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 25 Sep 2010 22:38:41 +0200

tftp-hpa (5.0-16ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Set /var/lib/tftpboot by default instead of /srv/tftp.
    - Decrease priority of tftp path from hight to low
    - debian/rules, debian/tftpd-hpa.upstart: Convert to upstart (LP: #522509)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 12 Oct 2010 12:17:05 +0100

tftp-hpa (5.0-16) unstable; urgency=low

  * Adding updated debconf translations from Vincenzo Campanella
    <vinz65@gmail.com> (Closes: #597314).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Sep 2010 12:45:25 +0200

tftp-hpa (5.0-15) unstable; urgency=low

  * Adding updated Czech debconf translations from Vítězslav Kotrla
    <vitezslav.kotrla@gmail.com> (Closes: #590136).
  * Harmonizing headers of po files.
  * Adding updated Spanish debconf translations from Omar Campagne
    <ocampagne@gmail.com> (Closes: #590664).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 05 Aug 2010 17:13:47 +0200

tftp-hpa (5.0-14ubuntu1) maverick; urgency=low

  * Merge from debian unstable:
    - Set /var/lib/tftpboot by default instead of /srv/tftp
    - Decrease priority of tftp path from hight to low
    - debian/rules, debian/tftpd-hpa.upstart: Convert to upstart (LP: #522509

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 12 Jul 2010 09:15:56 -0400

tftp-hpa (5.0-14) unstable; urgency=medium

  * Updating standards version to 3.9.0.
  * Cherry-picking patch from upstream to fix logfile bug when reloading
    syslog (Closes: #541184).
  * Rediffing progname.patch.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 10 Jul 2010 18:16:58 +0200

tftp-hpa (5.0-13ubuntu1) maverick; urgency=low

  * Merge from debian unstable:
    * Set /var/lib/tftpboot by default instead of /srv/tftp
    * Decrease priority of tftp path from hight to log
    * debian/rules, debian/tftpd-hpa.upstart: Convert to upstart (LP: #522509)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 21 Jun 2010 14:46:15 -0400

tftp-hpa (5.0-13) unstable; urgency=low

  * Not failing if removal of server directory in postinst isn't
    successful.
  * Adding updated Japanese debconf translations from Hideki Yamane
    <henrich@debian.or.jp> (Closes: #580158).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 13 May 2010 19:09:44 +0200

tftp-hpa (5.0-12) unstable; urgency=low

  * Updating to standards 3.8.4.
  * Updating dh call to more common order.
  * Updating README.source.
  * Improving short-description of tftpd-hpa/address and tftpd-
    hpa/options debconf questions.
  * Adding lintian overrides.
  * Taking over default argument -s when updating configuration from
    lenny to squeeze (Closes: #569633).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 07 Apr 2010 09:59:35 +0200

tftp-hpa (5.0-11ubuntu2) lucid; urgency=low

  * debian/rules, debian/tftpd-hpa.upstart: Convert to upstart.
    (LP: #522509) 
  * debian/tftpd-hpa.postinst: Add "-s" to /etc/default/tftpd-hpa.
    (LP: #531123)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 11 Mar 2010 12:40:07 -0500

tftp-hpa (5.0-11ubuntu1) lucid; urgency=low

  * Revert to pre-Lucid behavior (LP: #518815):


=== debian/control ===
Source: tftp-hpa
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Uploaders: Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 8), autotools-dev, autoconf, libwrap0-dev
Standards-Version: 3.9.1
Homepage: http://www.kernel.org/pub/software/network/tftp/

Package: tftp-hpa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: tftp
Description: HPA's tftp client
 Trivial File Transfer Protocol (TFTP) is a file transfer protocol, mainly to
 serve boot images over the network to other machines (PXE).
 .
 tftp-hpa is an enhanced version of the BSD TFTP client and server. It
 possesses a number of bugfixes and enhancements over the original.
 .
 This package contains the client.

Package: tftpd-hpa
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
Conflicts: tftpd, atftpd
Suggests: syslinux-common
Description: HPA's tftp server
 Trivial File Transfer Protocol (TFTP) is a file transfer protocol, mainly to
 serve boot images over the network to other machines (PXE).
 .
 tftp-hpa is an enhanced version of the BSD TFTP client and server. It
 possesses a number of bugfixes and enhancements over the original.
 .
 This package contains the server.

## tftp-hpa 5.1

=== debian/changelog ===
tftp-hpa (5.1-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #842585). Remaining changes:
    - Set /var/lib/tftpboot by default instead of /srv/tftp.
    - Decrease priority of tftp path from high to low.
    - debian/rules, debain/tftpd-hpa.upstart: Convert to usptart (LP: #522509)
    - debian/patches/04-use-memcpy-for-header.patch: fix FORTIFY-detected
      potential memory corruption (LP: #691345)

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Tue, 06 Sep 2011 18:55:40 +0700

tftp-hpa (5.1-2) unstable; urgency=low

  * Applying patch from Chris Lamb <lamby@debian.org> to correct wrong
    variable used in tftpd-hpa postrm that lead to not removing the tftp
    server directory on purge (Closes: #636152).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 07 Aug 2011 16:43:58 +0200

tftp-hpa (5.1-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Set /var/lib/tftpboot by default instead of /srv/tftp.
    - Decrease priority of tftp path from high to low.
    - debian/rules, debain/tftpd-hpa.upstart: Convert to usptart (LP: #522509)
    - debian/patches/04-use-memcpy-for-header.patch: fix FORTIFY-detected
      potential memory corruption (LP: #691345)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 11 Jul 2011 18:51:12 +0100

tftp-hpa (5.1-1) unstable; urgency=low

  * Updating standards version to 3.9.2.
  * Merging upstream version 5.1.
  * Removing socket.patch, included upstream.
  * Renumbering patches.
  * Updating copyright file.
  * Updating lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 10 Jul 2011 17:18:58 +0200

tftp-hpa (5.0-22ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Set /var/lib/tftpboot by default instead of /srv/tftp.
    - Decrease priority of tftp path from high to low.
    - debian/rules, debain/tftpd-hpa.upstart: Convert to usptart (LP: #522509)
    - debian/patches/04-use-memcpy-for-header.patch: fix FORTIFY-detected
      potential memory corruption (LP: #691345).

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Mar 2011 17:36:42 +0000

tftp-hpa (5.0-22) unstable; urgency=low

  * Adding support for multiple server directories in packaging files
    (Closes: #610647).
  * Silencing getent call in postinst.
  * Adding check in tftpd-hpa.init to ensure that --secure and multiple
    server directories are not used at the same time.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 20 Feb 2011 00:18:01 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --without-readline

override_dh_auto_install:
	dh_auto_install -- INSTALLROOT=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install --fail-missing --sourcedir=debian/tmp

override_dh_installinit:
	dh_installinit -a -- start 20 2 3 4 5 . stop 20 1 .

## tftp-hpa 5.2

=== Makefile ===
--- 
+++ 
@@ -17,8 +17,8 @@
 
 all:      MCONFIG $(patsubst %, %.build, $(SUB))
 
-tftp.build: lib.build
-tftpd.build: lib.build
+tftp.build: lib.build common.build
+tftpd.build: lib.build common.build
 
 install:  MCONFIG $(patsubst %, %.install, $(SUB))

=== tftpd/Makefile ===
SRCROOT = ..
VERSION = $(shell cat ../version)

-include ../MCONFIG
include ../MRULES

OBJS = tftpd.$(O) recvfrom.$(O) misc.$(O) $(TFTPDOBJS)

all: tftpd$(X) tftpd.8

tftpd$(X): $(OBJS)
	$(CC) $(LDFLAGS) $^ $(TFTPD_LIBS) -o $@

$(OBJS): ../common/tftpsubs.h

tftpd.8: tftpd.8.in ../version
	sed -e 's/@@VERSION@@/$(VERSION)/g' < $< > $@

install: all
	mkdir -p $(INSTALLROOT)$(SBINDIR) $(INSTALLROOT)$(MANDIR)/man8
	$(INSTALL_PROGRAM) tftpd$(X) $(INSTALLROOT)$(SBINDIR)/in.tftpd
	$(INSTALL_DATA)    tftpd.8 $(INSTALLROOT)$(MANDIR)/man8/in.tftpd.8
	cd $(INSTALLROOT)$(MANDIR)/man8 && $(LN_S) -f in.tftpd.8 tftpd.8

clean:
	rm -f *.o *.obj *.exe tftpd tftpsubs.c tftpsubs.h tftpd.8

distclean: clean
	rm -f *~

=== debian/changelog ===
tftp-hpa (5.2-7ubuntu3) saucy; urgency=low

  * Default to listening on both IPv4 and IPv6. (LP: #1228340)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 20 Sep 2013 14:40:13 -0500

tftp-hpa (5.2-7ubuntu2) saucy; urgency=low

  * Update the upstart job to use the same pre-start checks as the init
    script.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 May 2013 16:21:28 -0700

tftp-hpa (5.2-7ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/tftpd-hpa.templates: Set /var/lib/tftpboot by default instead of
      /srv/tftp.
    - debian/tftpd-hpa.upstart: Convert to Upstart.
    - debian/patches/04-use-memcpy-for-header.patch: Fix FORTIFY-detected
      potential memory corruption.
    - debian/tftpd-hpa.postinst: Add "-s" to /etc/default/tftpd-hpa
  * Adjust tftpd-hpa init script to detect upstart, making the upstart
    patches upstreamable to Debian.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 18 May 2013 22:07:57 -0700

tftp-hpa (5.2-7) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 22:00:52 +0100

tftp-hpa (5.2-6) unstable; urgency=low

  * Removing Otavio from uploaders with his consent.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 21:52:27 +0100

tftp-hpa (5.2-5ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/tftpd-hpa.templates: Set /var/lib/tftpboot by default instead of
      /srv/tftp.
    - debian/tftpd-hpa.upstart: Convert to Upstart.
    - debian/patches/04-use-memcpy-for-header.patch: Fix FORTIFY-detected
      potential memory corruption.
    - debian/tftpd-hpa.postinst: Add "-s" to /etc/default/tftpd-hpa

 -- Logan Rosen <logatronico@gmail.com>  Sun, 06 Jan 2013 01:01:24 -0600

tftp-hpa (5.2-5) unstable; urgency=low

  * Correcting spelling typo in readme, thanks to Adam D. Barratt <adam
    @adam-barratt.org.uk>.
  * Updating to standards version 3.9.4.
  * Adding dpkg-source local options.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 16 Dec 2012 10:46:51 +0100

tftp-hpa (5.2-4ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Set /var/lib/tftpboot by default instead of /srv/tftp.
    - Decrease priority of tftp path from high to low.
    - debian/rules, debian/tftpd-hpa.upstart: Convert to Upstart.
    - debian/patches/04-use-memcpy-for-header.patch: Fix FORTIFY-detected
      potential memory corruption.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2012 02:26:08 +0000

tftp-hpa (5.2-4) unstable; urgency=low

  * Adding note to readme about ipv6 kernel support (Closes: #544089).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Thu, 19 Jul 2012 16:33:37 +0200

tftp-hpa (5.2-3) unstable; urgency=low

  * Removing example preseed file.
  * Trimming lintian overrides.
  * Switching to xz compression.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 30 Jun 2012 14:45:15 +0200

tftp-hpa (5.2-2) unstable; urgency=low

  * Adding Dutch debconf translations from Jeroen Schot <schot@a-
    eskwadraat.nl> (Closes: #655575).
  * Updating to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 14 Mar 2012 07:59:35 +0100

tftp-hpa (5.2-1ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 23:01:31 +0100

tftp-hpa (5.2-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Set /var/lib/tftpboot by default instead of /srv/tftp.
    - Decrease priority of tftp path from high to low.
    - debian/rules, debain/tftpd-hpa.upstart: Convert to usptart (LP: #522509)
    - debian/patches/04-use-memcpy-for-header.patch: fix FORTIFY-detected
      potential memory corruption (LP: #691345)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jan 2012 09:24:51 -0500

tftp-hpa (5.2-1) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Removing obsolete db_version call in tftpd-hpa postinst script.
  * Merging upstream version 5.2.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 23 Dec 2011 15:10:17 +0100

tftp-hpa (5.1-3ubuntu3) precise; urgency=low

  * debian/tftpd-hpa.upstart: Fix typo. (LP: #911135) 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Jan 2012 08:18:01 -0500

tftp-hpa (5.1-3ubuntu2) precise; urgency=low

  * debian/tftpd-hpa.upstart: Fix runlevel transition.
    (LP: #820698) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 02 Jan 2012 10:20:29 -0500

tftp-hpa (5.1-3ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Set /var/lib/tftpboot by default instead of /srv/tftp.
    - Decrease priority of tftp path from high to low.
    - debian/rules, debain/tftpd-hpa.upstart: Convert to usptart (LP: #522509)
    - debian/patches/04-use-memcpy-for-header.patch: fix FORTIFY-detected
      potential memory corruption (LP: #6913

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 17 Oct 2011 18:54:29 +0000

tftp-hpa (5.1-3) unstable; urgency=low

  * Adding Brazilian Portuguese debconf translations from Flamarion
    Jorge <jorge.flamarion@gmail.com> (Closes: #640801).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 28 Sep 2011 13:52:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: net
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Uploaders: Otavio Salvador <otavio@debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev, autoconf, libwrap0-dev
-Standards-Version: 3.9.1
+XSBC-Original-Maintainer: Daniel Baumann <mail@daniel-baumann.ch>
+Build-Depends: debhelper (>= 9), autotools-dev, autoconf, libwrap0-dev
+Standards-Version: 3.9.4
 Homepage: http://www.kernel.org/pub/software/network/tftp/
 
 Package: tftp-hpa
@@ -23,7 +22,7 @@
 
 Package: tftpd-hpa
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, adduser
+Depends: ${misc:Depends}, ${shlibs:Depends}, adduser, lsb-base (>= 4.1+Debian3)
 Conflicts: tftpd, atftpd
 Suggests: syslinux-common
 Description: HPA's tftp server

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 
 override_dh_installinit:
 	dh_installinit -a -- start 20 2 3 4 5 . stop 20 1 .
+
+override_dh_builddeb:
+	dh_builddeb -- -Zxz -z9

## tftp-hpa 5.2%2B20150808

=== tftp/Makefile ===
SRCROOT = ..
VERSION = $(shell cat ../version)

-include ../MCONFIG
include ../MRULES

OBJS = tftp.$(O) main.$(O)

all: tftp$(X) tftp.1

tftp$(X): $(OBJS)
	$(CC) $(LDFLAGS) $^ $(TFTP_LIBS) -o $@

$(OBJS): ../common/tftpsubs.h

tftp.1: tftp.1.in ../version
	sed -e 's/@@VERSION@@/$(VERSION)/g' < $< > $@

install: all
	mkdir -p $(INSTALLROOT)$(BINDIR) $(INSTALLROOT)$(MANDIR)/man1
	$(INSTALL_PROGRAM) tftp$(X) $(INSTALLROOT)$(BINDIR)
	$(INSTALL_DATA)    tftp.1   $(INSTALLROOT)$(MANDIR)/man1

clean:
	rm -f *.o *.obj *.exe tftp tftp.1

distclean: clean
	rm -f *~

## tftp-hpa 5.2%2B20150808-1ubuntu4

=== debian/changelog ===
tftp-hpa (5.2+20150808-1ubuntu4) focal; urgency=medium

  * debian/tftpd-hpa.templates: revert the default back to /srv/tftp. This
    was done mainly for the ltsp-server package but is no more needed
    (LP: #1855490).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 09 Dec 2019 16:02:44 +0100

tftp-hpa (5.2+20150808-1ubuntu3) zesty; urgency=medium

  * d/tftpd-hpa.config : Add version guard to avoid rewriting TFTP_ADDRESS
    if user has elected to keep [::]:69 after upgrade. (LP: #1342580)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Mon, 20 Mar 2017 15:50:27 +0100

tftp-hpa (5.2+20150808-1ubuntu2) zesty; urgency=medium

  * Replace the default value of TFTP_ADDRESS to :69 instead of [::]:69.
    The previous default caused a failure to start when the NIC is not
    available at startup time (LP: #1342580)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Thu, 09 Feb 2017 18:13:54 +0100

tftp-hpa (5.2+20150808-1ubuntu1) xenial; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/tftpd-hpa.templates: Set /var/lib/tftpboot by default instead
      of /srv/tftp.
    - d/tftpd-hpa.postinst, d/tftpd-hpa.templates, d/po/*:
      Default to listening on both IPv4 and IPv6.
    - debian/tftpd-hpa.postinst: Add "-s" to /etc/default/tftpd-hpa

 -- Scott Moser <smoser@brickies.net>  Tue, 02 Feb 2016 18:49:17 +0100

tftp-hpa (5.2+20150808-1) unstable; urgency=medium

  * Canonicalize all the addresses.  This avoids the situation of trying to
    reply to an IPv4-mapped IPv6 address using an IPv4 socket, which isn't
    going to fly.  Closes: #793921
  * This upstream snapshot now includes all the patches we were previously
    carrying.

 -- Ron Lee <ron@debian.org>  Sat, 08 Aug 2015 13:59:11 +0930

tftp-hpa (5.2+20140608-3ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/tftpd-hpa.templates: Set /var/lib/tftpboot by default instead of
      /srv/tftp.
    - debian/tftpd-hpa.upstart: Convert to Upstart.
    - debian/tftpd-hpa.postinst: Add "-s" to /etc/default/tftpd-hpa
    - Default to listening on both IPv4 and IPv6. (LP: #1228340)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Oct 2014 10:26:04 +0100

tftp-hpa (5.2+20140608-3) unstable; urgency=medium

  * Fix the Vcs- links to alioth.

 -- Ron Lee <ron@debian.org>  Thu, 31 Jul 2014 15:45:11 +0930

tftp-hpa (5.2+20140608-2) unstable; urgency=medium

  * Fix the upstream makefile to actually be safe for parallel builds.

 -- Ron Lee <ron@debian.org>  Thu, 31 Jul 2014 04:02:27 +0930

tftp-hpa (5.2+20140608-1) unstable; urgency=medium

  * Better handling of IPv4/6 mapping.
  * Fix the broken postrm.
    Don't remove users, especially not without checking what they still own.
    Actually remove the empty directories that we loop over, and not just by
    accident.  Though we could probably also just kill the loop instead.
    Definitely don't remove users and directories using arbitrary hardcoded
    defaults that something other than this package might own.  If we can't
    determine how they were configured by the local admin, then we have no
    business just picking things out of a hat to delete anyway.
  * Adopted, Closes: #756093

 -- Ron Lee <ron@debian.org>  Wed, 30 Jul 2014 12:08:50 +0930

tftp-hpa (5.2-20) unstable; urgency=low

  * I don't care anymore, not worth it.. orphaning.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 Jul 2014 20:57:28 +0200

tftp-hpa (5.2-19ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/tftpd-hpa.templates: Set /var/lib/tftpboot by default instead of
      /srv/tftp.
    - debian/tftpd-hpa.upstart: Convert to Upstart.
    - debian/tftpd-hpa.postinst: Add "-s" to /etc/default/tftpd-hpa
    - Default to listening on both IPv4 and IPv6. (LP: #1228340)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 May 2014 16:28:04 -0400

tftp-hpa (5.2-19) unstable; urgency=low

  * Introducing initial support for upstart as wished by Steve Langasek
    <vorlon@debian.org> in #746715.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 04 May 2014 15:16:55 +0200

tftp-hpa (5.2-18ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/tftpd-hpa.templates: Set /var/lib/tftpboot by default instead of
      /srv/tftp.
    - debian/tftpd-hpa.upstart: Convert to Upstart.
    - debian/tftpd-hpa.postinst: Add "-s" to /etc/default/tftpd-hpa
    - Default to listening on both IPv4 and IPv6. (LP: #1228340)
  * Reintroduce the Upstart integration.

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 02 May 2014 16:28:04 -0400

tftp-hpa (5.2-18) unstable; urgency=low

  * Updating year in copyright file.
  * Building with dh --parallel.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 31 Mar 2014 21:31:43 +0200

tftp-hpa (5.2-17) experimental; urgency=low

  * Removing upstart hacks, they are ugly and upstart is dead now.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 18 Feb 2014 08:04:33 +0100

tftp-hpa (5.2-16) experimental; urgency=low

  * Updating copyright file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 01 Feb 2014 05:36:00 +0100

tftp-hpa (5.2-15) experimental; urgency=low

  * Updating vcs fields.
  * Adding debug package.
  * Updating to standards version 3.9.5.
  * Updating lsb descriptions in initscript (Closes: #736742).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 26 Jan 2014 19:07:46 +0100

tftp-hpa (5.2-14) experimental; urgency=low

  * Correcting typo in atftpd confilicts/replaces (Closes: #717985).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Mon, 29 Jul 2013 11:17:21 +0200

tftp-hpa (5.2-13) experimental; urgency=low

  * Adding vcs fields.
  * Wrapping control fields.
  * Updating syslinux suggests.
  * Adding tftp-server virtual packaging handling.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Wed, 17 Jul 2013 14:07:42 +0200

tftp-hpa (5.2-12) experimental; urgency=low



## tftp-hpa 5.2%2B20240610

=== debian/rules ===
#!/usr/bin/make -f

# Turn on all hardening flags, as we're a networked daemon.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_autoreconf:
	aclocal --install --output=autoconf/aclocal.m4 -I autoconf/m4
	dh_autoreconf autoreconf -- -v -f -i -B autoconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--without-readline

override_dh_auto_install:
	make install INSTALLROOT=$(CURDIR)/debian/tmp

override_dh_strip:
	dh_strip --dbgsym-migration='tftp-hpa-dbg (<< 5.2+20150808-3~)'

## tftp-hpa 5.2%2b20150808-1.1ubuntu1

=== debian/changelog ===
tftp-hpa (5.2+20150808-1.1ubuntu1) groovy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/tftpd-hpa.postinst: Add "-s" to /etc/default/tftpd-hpa
    - d/tftpd-hpa.{postinst,templates,config}, d/po/*:
      Default to listening on both IPv4 and IPv6. (LP #1228340, LP #1342580)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 30 Sep 2020 15:24:12 +0200

tftp-hpa (5.2+20150808-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build error with GCC 10 due to multiple definition of `toplevel'
    (Closes: #957875)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 23 Jul 2020 06:53:24 +0200

## tftp-hpa 5.2+20150808

=== Makefile ===
--- 
+++ 
@@ -58,8 +58,12 @@
 
 # Adding "configure" to the dependencies serializes this with running
 # autoconf, because there are apparently race conditions between
-# autoconf and autoheader.
-aconfig.h.in: configure.in configure aclocal.m4
+# autoconf and autoheader.  And worse than that, even when autoconf
+# cleanly returns first, autoheader will truncate the timestamp of
+# aconfig.h.in to second resolution, so on a filesystem with subsecond
+# resolution it can appear older than configure (which isn't truncated).
+# So make it an order-only prerequisite to avoid looping regenerating it.
+aconfig.h.in: configure.in aclocal.m4 | configure
 	rm -f aconfig.h.in aconfig.h
 	autoheader

=== common/Makefile ===
SRCROOT = ..
VERSION = $(shell cat ../version)

-include ../MCONFIG
include ../MRULES

OBJS = tftpsubs.$(O)
LIB  = libcommon.a

all: $(LIB)

$(LIB): $(OBJS)
	-rm -f $(LIB)
	$(AR) $(LIB) $(OBJS)
	$(RANLIB) $(LIB)

$(OBJS): tftpsubs.h

install:

clean:
	rm -f *.o *.obj *.exe $(LIB)

distclean: clean
	rm -f *~

=== lib/Makefile ===
#
# Extra functions which may not be available everywhere
#

SRCROOT = ..

-include ../MCONFIG
include ../MRULES

ifeq ($(LIBOBJS),)
all:
else
all:	libxtra.a
endif

install:

clean:
	-rm -f *.a *.o *.obj *.exe

distclean: clean
	-rm -f *~

libxtra.a: $(LIBOBJS)
	-rm -f libxtra.a
	$(AR) libxtra.a $(LIBOBJS)
	$(RANLIB) libxtra.a

=== debian/changelog ===
tftp-hpa (5.2+20150808-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Versioned Breaks and Replaces on tftp (Closes: #1022722).
  * d/copyright: Drop the BSD advertisement clause.
  * Move the package to 3.0 format.

 -- Bastian Germann <bage@debian.org>  Tue, 25 Oct 2022 22:20:18 +0200

tftp-hpa (5.2+20150808-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace tftp instead of conflicting to help with #1019286.

 -- Bastian Germann <bage@debian.org>  Thu, 15 Sep 2022 19:01:12 +0200

tftp-hpa (5.2+20150808-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix default listen address to work for both IPv4 and IPv6 (was: IPv4
    only). Closes: #952387, #935895

 -- Romain Porte <debian@microjoe.org>  Wed, 16 Sep 2020 13:57:50 +0200

=== debian/control ===
Source: tftp-hpa
Section: net
Priority: optional
Maintainer: Ron Lee <ron@debian.org>
Build-Depends: debhelper (>= 9), autoconf, autotools-dev, libwrap0-dev, po-debconf
Standards-Version: 3.9.6.1
Homepage: http://git.kernel.org/cgit/network/tftp/tftp-hpa.git
Vcs-Git: https://salsa.debian.org/ron/tftp-hpa.git
Vcs-Browser: https://salsa.debian.org/ron/tftp-hpa

Package: tftp-hpa
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}
Breaks: tftp (<< 0.17-23.1)
Replaces: tftp (<< 0.17-23.1)
Description: HPA's tftp client
 Trivial File Transfer Protocol (TFTP) is a file transfer protocol, mainly to
 serve boot images over the network to other machines (PXE).
 .
 tftp-hpa is an enhanced version of the BSD TFTP client and server. It
 possesses a number of bugfixes and enhancements over the original.
 .
 This package contains the client.

Package: tftp-hpa-dbg
Section: debug
Architecture: linux-any kfreebsd-any
Depends: tftp-hpa (= ${binary:Version}), tftpd-hpa (= ${binary:Version})
Description: HPA's tftp (debug)
 Trivial File Transfer Protocol (TFTP) is a file transfer protocol, mainly to
 serve boot images over the network to other machines (PXE).
 .
 tftp-hpa is an enhanced version of the BSD TFTP client and server. It
 possesses a number of bugfixes and enhancements over the original.
 .
 This package contains the debugging symbols for both the client and the server.

Package: tftpd-hpa
Architecture: linux-any kfreebsd-any
Depends: ${shlibs:Depends}, adduser, ${misc:Depends}
Conflicts: tftp-server, tftpd, atftpd
Replaces: tftp-server, tftpd, atftpd
Provides: tftp-server
Suggests: pxelinux
Description: HPA's tftp server
 Trivial File Transfer Protocol (TFTP) is a file transfer protocol, mainly to
 serve boot images over the network to other machines (PXE).
 .
 tftp-hpa is an enhanced version of the BSD TFTP client and server. It
 possesses a number of bugfixes and enhancements over the original.
 .
 This package contains the server.

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright 2003 - 2014 Ron Lee.

SHELL = /bin/bash

export DH_OPTIONS

NUM_CPUS = $(shell getconf _NPROCESSORS_ONLN 2>/dev/null)
PARALLEL = $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS    = -j$(or $(PARALLEL),$(NUM_CPUS),1)

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


clean:
	dh_testdir
	$(MAKE) spotless
	$(RM) *-stamp
	dh_clean
	debconf-updatepo


configure: configure.in aclocal.m4
	dh_testdir
	$(MAKE) autoconf

config.status: configure
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE)   \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr                 \
		    --without-readline


build: build-arch
build-arch: build-arch-stamp
build-indep:

build-arch-stamp: config.status
	dh_testdir
	$(MAKE) $(NJOBS) all
	touch $@


install: install-arch
install-arch: build-arch install-arch-stamp
install-indep:

install-arch-stamp: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install INSTALLROOT=$(CURDIR)/debian/tmp
	dh_install
	dh_installinit
	dh_installexamples
	touch $@


binary: binary-arch
binary-indep:

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installdebconf
	dh_strip --dbg-package=tftp-hpa-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


.PHONY: clean build build-arch build-indep \
	install install-arch install-indep \
	binary binary-arch binary-indep

## tftp-hpa 5.2+20150808-1ubuntu4

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: tftp-hpa
 Section: net
-Priority: optional
-Maintainer: Ron Lee <ron@debian.org>
+Priority: extra
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
 Build-Depends: debhelper (>= 9), autoconf, autotools-dev, libwrap0-dev, po-debconf
 Standards-Version: 3.9.6.1
 Homepage: http://git.kernel.org/cgit/network/tftp/tftp-hpa.git
-Vcs-Git: https://salsa.debian.org/ron/tftp-hpa.git
-Vcs-Browser: https://salsa.debian.org/ron/tftp-hpa
+Vcs-Browser: http://git.debian.org/?p=users/ron/tftp-hpa.git
+Vcs-Git: git://git.debian.org/users/ron/tftp-hpa.git
 
 Package: tftp-hpa
 Architecture: linux-any kfreebsd-any
 Depends: ${shlibs:Depends}
-Breaks: tftp (<< 0.17-23.1)
-Replaces: tftp (<< 0.17-23.1)
+Conflicts: tftp
 Description: HPA's tftp client
  Trivial File Transfer Protocol (TFTP) is a file transfer protocol, mainly to
  serve boot images over the network to other machines (PXE).
@@ -24,6 +24,7 @@
 
 Package: tftp-hpa-dbg
 Section: debug
+Priority: extra
 Architecture: linux-any kfreebsd-any
 Depends: tftp-hpa (= ${binary:Version}), tftpd-hpa (= ${binary:Version})
 Description: HPA's tftp (debug)

## tftp-hpa 5.2+20240610

=== Makefile ===
# You can do "make SUB=blah" to make only a few, or edit here, or both
# You can also run make directly in the subdirs you want.

SUB =   lib common tftp tftpd

%.build: config/MCONFIG config/config.h version.h
	$(MAKE) -C $(patsubst %.build, %, $@)

%.install: config/MCONFIG config/config.h version.h
	$(MAKE) -C $(patsubst %.install, %, $@) install

%.clean:
	$(MAKE) -C $(patsubst %.clean, %, $@) clean

%.distclean:
	$(MAKE) -C $(patsubst %.distclean, %, $@) distclean

all:      config/MCONFIG $(patsubst %, %.build, $(SUB))

tftp.build: lib.build common.build
tftpd.build: lib.build common.build

install:  config/MCONFIG $(patsubst %, %.install, $(SUB))

clean:	localclean $(patsubst %, %.clean, $(SUB))

localclean:
	rm -f version.h

distclean: localdistclean $(patsubst %, %.distclean, $(SUB))

localdistclean: localclean
	rm -f config/config/MCONFIG config.status config.log config/config.h *~ \#*
	rm -rf *.cache
	find . -type f \( -name \*.orig -o -name \*.rej \) | xargs rm -f

spotless: distclean
	rm -f configure config/config.h.in tftp.spec

autoconf: configure config/config.h.in

config:	config/MCONFIG config/config.h

release:
	$(MAKE) autoconf
	$(MAKE) tftp.spec
	$(MAKE) distclean

config/MCONFIG: configure config/MCONFIG.in config/config.h.in
	if test -x config.status; then \
		./config.status --recheck && ./config.status ; \
	else \
		./configure ; \
	fi

config/config.h: config/MCONFIG
	: Generated by side effect

configure: configure.ac
	sh autogen.sh

config/config.h.in: configure
	: Generated by side effect

version.h: version
	echo \#define VERSION \"tftp-hpa `cat version`\" > version.h

tftp.spec: tftp.spec.in version
	sed -e "s/@@VERSION@@/`cat version`/g" < $< > $@ || rm -f $@

=== common/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 SRCROOT = ..
 VERSION = $(shell cat ../version)
 
--include ../MCONFIG
+-include ../config/MCONFIG
 include ../MRULES
 
-OBJS = tftpsubs.$(O)
+OBJS = tftpsubs.$(O) signal.$(O)
 LIB  = libcommon.a
 
 all: $(LIB)

=== lib/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 SRCROOT = ..
 
--include ../MCONFIG
+-include ../config/MCONFIG
 include ../MRULES
 
 ifeq ($(LIBOBJS),)
@@ -25,5 +25,3 @@
 	-rm -f libxtra.a
 	$(AR) libxtra.a $(LIBOBJS)
 	$(RANLIB) libxtra.a
-
-

=== tftp/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SRCROOT = ..
 VERSION = $(shell cat ../version)
 
--include ../MCONFIG
+-include ../config/MCONFIG
 include ../MRULES
 
 OBJS = tftp.$(O) main.$(O)

=== debian/changelog ===
tftp-hpa (5.2+20240610-3) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Chris Hofstaedtler ]
  * tftpd-hpa.service: allow AF_UNIX for syslog (Closes: #1093415)
  * tftpd-hpa.service: restrict SystemCallArchitectures.
    For RestrictAddressFamilies to be effective on multiarch systems.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 21 Jan 2025 16:54:45 +0100

tftp-hpa (5.2+20240610-2) unstable; urgency=medium

  * Start after network-online.target so IPs exist (Closes: #1080329)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 11 Sep 2024 00:02:43 +0200

tftp-hpa (5.2+20240610-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #1075567)
  * Remove patches obsoleted by upstream
  * Pass additional args from autogen.sh to dh_autoreconf
  * Remove upstart support
  * Add systemd service (Closes: #1029991, #1039394)
  * Use dh-compat level 13
  * Use dh sequencer, migrate to dbgsym packages

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 14 Jul 2024 23:20:03 +0200

tftp-hpa (5.2+20150808-2) unstable; urgency=medium

  * Adopt package (Closes: #1073086)
  * Setup git-buildpackage
  * d/control: reformat
  * d/control: remove Architecture restrictions
  * d/control: update Vcs-* fields
  * d/control: update Homepage

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 06 Jul 2024 22:27:24 +0200

=== debian/control ===
Source: tftp-hpa
Section: net
Priority: optional
Maintainer: Chris Hofstaedtler <zeha@debian.org>
Build-Depends:
 autoconf,
 debhelper (>= 13),
 debhelper-compat (= 13),
 libwrap0-dev,
 po-debconf,
Standards-Version: 3.9.6.1
Homepage: https://git.kernel.org/pub/scm/network/tftp/tftp-hpa.git/
Vcs-Git: https://salsa.debian.org/debian/tftp-hpa.git
Vcs-Browser: https://salsa.debian.org/debian/tftp-hpa

Package: tftp-hpa
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 tftp (<< 0.17-23.1),
Replaces:
 tftp (<< 0.17-23.1),
Description: HPA's tftp client
 Trivial File Transfer Protocol (TFTP) is a file transfer protocol, mainly to
 serve boot images over the network to other machines (PXE).
 .
 tftp-hpa is an enhanced version of the BSD TFTP client and server. It
 possesses a number of bugfixes and enhancements over the original.
 .
 This package contains the client.

Package: tftpd-hpa
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 atftpd,
 tftp-server,
 tftpd,
Replaces:
 atftpd,
 tftp-server,
 tftpd,
Provides:
 tftp-server,
Suggests:
 pxelinux,
Description: HPA's tftp server
 Trivial File Transfer Protocol (TFTP) is a file transfer protocol, mainly to
 serve boot images over the network to other machines (PXE).
 .
 tftp-hpa is an enhanced version of the BSD TFTP client and server. It
 possesses a number of bugfixes and enhancements over the original.
 .
 This package contains the server.

## tftp-hpa 5.3+20251110

=== tftpd/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SRCROOT = ..
 VERSION = $(shell cat ../version)
 
--include ../MCONFIG
+-include ../config/MCONFIG
 include ../MRULES
 
 OBJS = tftpd.$(O) recvfrom.$(O) misc.$(O) $(TFTPDOBJS)

=== debian/changelog ===
tftp-hpa (5.3+20251110-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 11 Nov 2025 05:32:19 +0100

## tftp-hpa 5.3+20251116

=== debian/changelog ===
tftp-hpa (5.3+20251116-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #1108702)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 22 Nov 2025 17:45:30 +0100

## tftp-hpa 5.3+20251209

=== debian/changelog ===
tftp-hpa (5.3+20251209-2) unstable; urgency=medium

  [ Yangfl ]
  * Update zh translations (Closes: #1124825)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 07 Jan 2026 23:19:34 +0100

tftp-hpa (5.3+20251209-1) unstable; urgency=medium

  * New upstream snapshot. (Closes: #1122091)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 09 Dec 2025 11:22:45 +0100
